[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.ThreadID

ID of the main process thread

## Declaration

Source position: processbody.inc line 131

`public property TPROCESS.ThreadID : Integer read FThreadID;`

## Description

ProcessID is the ID of the main process thread. It is the same as the handle of the main process thread (or the process itself) on Unix systems, but on Windows it is different from the thread Handle.

The ID is only valid after TProcess.Execute has been called. It is not reset after the process stopped.

## See also

TProcess.ProcessID |  | ID of the process.
TProcess.Handle |  | Handle of the process
TProcess.ThreadHandle |  | Main process thread handle